#!/bin/sh

# $Id: //InstallerDev/Sandboxes/ramesh/Mac/Component/AdobePatcher/UpdateInstaller/Scripts/ToolDefs.sh#1 $
# $Change: 72935 $

# This file can be executed, but should typically be "sourced."

# Set up commonly used tools (some with options).  Note that all definitions
# are read-only and exported.

declare -x -r AWK=/usr/bin/awk
declare -x -r CAT=/bin/cat
declare -x -r CHFLAGS=/usr/bin/chflags
declare -x -r CHGRP=/usr/bin/chgrp
declare -x -r CHMOD=/bin/chmod
declare -x -r CHOWN=/usr/sbin/chown
declare -x -r CKSUM=/usr/bin/cksum
declare -x -r CP=/bin/cp
declare -x -r CPDIR="${CP} -rp"
declare -x -r CUT=/usr/bin/cut
declare -x -r DEFAULTS=/usr/bin/defaults
declare -x -r DF="/bin/df"
declare -x -r DITTO="/usr/bin/ditto -rsrcFork"
declare -x -r ECHO=/bin/echo
declare -x -r EGREP=/usr/bin/egrep
declare -x -r FIND=/usr/bin/find
declare -x -r GREP=/usr/bin/grep
declare -x -r HEAD=/usr/bin/head
declare -x -r LOGNAME=/usr/bin/logname
declare -x -r LS=/bin/ls
declare -x -r LSBOM=/usr/bin/lsbom
declare -x -r MAKE=/usr/bin/make
declare -x -r MKDIR="/bin/mkdir -p"
declare -x -r MOVE=/bin/mv
declare -x -r MV="/bin/mv -f"
declare -x -r OSASCRIPT=/usr/bin/osascript
declare -x -r PLIST_DEL="${DEFAULTS} delete"
declare -x -r PLIST_RD="${DEFAULTS} read"
declare -x -r PLIST_WR="${DEFAULTS} write"
declare -x -r RM=/bin/rm
declare -x -r RM_FORCIBLY="/bin/rm -f"
declare -x -r RM_ENTIRE_TREE="/bin/rm -rf"
declare -x -r SED=/usr/bin/sed
declare -x -r SUDO=/usr/bin/sudo
declare -x -r SWVERS=/usr/bin/sw_vers
declare -x -r SYMLINK="/bin/ln -s"
declare -x -r TAIL=/usr/bin/tail
declare -x -r TAR=/usr/bin/tar
declare -x -r TOUCH=/usr/bin/touch
declare -x -r WC=/usr/bin/wc
declare -x -r XARGS=/usr/bin/xargs
declare -x -r PAX=/bin/pax
declare -x -r GUNZIP=/usr/bin/gunzip







